Bug Hunting Session
Bug 116690 - Writer crashes consistently when user selects Send from File menu. JRE is installed.
Summary: Writer crashes consistently when user selects Send from File menu. JRE is ins...
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.6.2 release
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Java-Runtime-JRE File-Send
  Show dependency treegraph
 
Reported: 2018-03-29 07:11 UTC by John Brock
Modified: 2019-06-11 10:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Brock 2018-03-29 07:11:41 UTC
Version: 5.4.6.2
Build ID: 1:5.4.6~rc2-0ubuntu0.16.04.1
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-ZA (en_ZA.UTF-8); Calc: group

Lubuntu -Version-
Kernel		: Linux 4.4.0-116-generic (i686)
Compiled		: #140-Ubuntu SMP Mon Feb 12 21:22:43 UTC 2018
C Library		: Unknown
Default C Compiler		: GNU C Compiler version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.9) 
Distribution		: Ubuntu 16.04.4 LTS
-Current Session-
Computer Name		: johnb4
User Name		: johnb (John Brock)
Home Directory		: /home/johnb
Desktop Environment		: LXDE (Lubuntu)
Comment 1 Xisco Faulí 2018-03-29 08:22:39 UTC
Probably a dupe of bug 108619 ???

Could you please thi solution https://bugs.documentfoundation.org/show_bug.cgi?id=108619#c16 ?

Setting to NEENINFO. Change it back to UNCONFIRMED once you have tested...
Comment 2 Xavier Van Wijmeersch 2018-03-29 09:19:23 UTC
DistroWatch: your OS version is EOL and yes new version is still supporting i386. You downloaded LO 5.4.6.2 or build your own office app??? I suggest upgrade your OS and test it again, with 6.0.2.0 of LO or with the 5.4.6.2.

Regards
Comment 3 John Brock 2018-03-30 08:37:20 UTC
Version: 5.4.6.2
Build ID: 1:5.4.6~rc2-0ubuntu0.16.04.1
CPU threads: 2; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: en-ZA (en_ZA.UTF-8); Calc: group

Linux upgraded Lubuntu 17.10

-Version-
Kernel		: Linux 4.13.0-37-generic (i686)
Version		: #42-Ubuntu SMP Wed Mar 7 14:12:29 UTC 2018
C Library		: GNU C Library / (Ubuntu GLIBC 2.26-0ubuntu2.1) 2.26
Distribution		: Ubuntu 17.10
-Current Session-
Computer Name		: johnb4
User Name		: johnb (John Brock)
Language		: en_ZA.UTF-8 (en_ZA:en)
Home Directory		: /home/johnb
-Misc-
Uptime		: 22 minutes
Load Average		: 0.27, 0.43, 0.23
Available entropy in /dev/random		: 3518 bits (healthy)

Still 'crashes' on selecting Send on the File menu...
Comment 4 Xisco Faulí 2018-04-03 14:54:38 UTC
Could you please thi solution https://bugs.documentfoundation.org/show_bug.cgi?id=108619#c16 ?
Comment 5 QA Administrators 2018-10-09 11:27:22 UTC Comment hidden (obsolete)
Comment 6 Xisco Faulí 2018-10-09 14:43:03 UTC
(In reply to Xisco Faulí from comment #4)
> Could you please thi solution
> https://bugs.documentfoundation.org/show_bug.cgi?id=108619#c16 ?

Dear John Brock,
Did you try it ?
Comment 7 opensuse.lietuviu.kalba 2019-06-05 11:39:19 UTC
LibreOffice Writer crash after hovering File > Send menu item.
JAVA/JRE is installed (both OpenJDK and from Oracle). LibreOffice use /usr/lib64/jvm/jre-1.8.0-openjdk/ 

Versija: 6.2.4.2
Darinio identifikatorius: 2412653d852ce75f65fbfa83fb7e7b669a126d64
Procesoriaus gijos: 4; OS:Linux 4.4; Sąsajos pateikimas: numatytasis; VCL: kde4; 
Lokalė: lt-LT (lt_LT.UTF-8); UI-Language: lt-LT
Calc: threaded

Perhaps it is this:
crashreport.libreoffice.org/stats/crash_details/5ba2c2a9-f022-42ab-ac62-5dc31de7ff68

Meanwhile LibreOffice Writer 6.2.3.2 don't crash. LibreOffice use JAVA/JRE from /usr/java/jre1.8.0_181-amd64

Versija: 6.2.3.2
Darinio identifikatorius: aecc05fe267cc68dde00352a451aa867b3b546ac
Procesoriaus gijos: 4; OS:Linux 4.4; Sąsajos pateikimas: numatytasis; VCL: kde4; 
Lokalė: lt-LT (lt_LT.UTF-8); UI-Language: lt-LT
Calc: threaded

My system is openSUSE Leap 42.3 Linux
Comment 8 opensuse.lietuviu.kalba 2019-06-05 12:05:02 UTC
I can not reproduce after deselecting  "Use a Java runtime environment"
Comment 9 opensuse.lietuviu.kalba 2019-06-05 12:26:42 UTC
Sorry, 6.2.4.2 showed /usr/lib64/jvm/java-1.8.0-openjdk-1.8.0/jre path indeed.

If I enable JAVA/JRE and change it to /usr/java/jre1.8.0_181-amd64 , I still can reproduce
Comment 10 opensuse.lietuviu.kalba 2019-06-05 15:22:56 UTC
I CAN reproduce with VCL: kde4.

I can NOT reproduce with  VCL: gtk3.
Comment 11 opensuse.lietuviu.kalba 2019-06-05 15:41:23 UTC
If I force to downgrade only one package – libobasis6.2-kde-integration – 
from 6.2.4.2 to 6.2.3.2 version, I can NOT reproduce bug.
All other LibreOffice packages are for 6.2.4.2.
Comment 12 Xisco Faulí 2019-06-05 15:43:17 UTC
(In reply to opensuse.lietuviu.kalba from comment #11)
> If I force to downgrade only one package – libobasis6.2-kde-integration – 
> from 6.2.4.2 to 6.2.3.2 version, I can NOT reproduce bug.
> All other LibreOffice packages are for 6.2.4.2.

Which distro are you using ?
Comment 13 Xisco Faulí 2019-06-05 15:51:38 UTC
(In reply to Xisco Faulí from comment #12)
> (In reply to opensuse.lietuviu.kalba from comment #11)
> > If I force to downgrade only one package – libobasis6.2-kde-integration – 
> > from 6.2.4.2 to 6.2.3.2 version, I can NOT reproduce bug.
> > All other LibreOffice packages are for 6.2.4.2.
> 
> Which distro are you using ?

Ok, I know it from bug 125715.
Please follow my comment from https://bugs.documentfoundation.org/show_bug.cgi?id=125715#c2
Comment 14 Xisco Faulí 2019-06-05 16:04:02 UTC
(In reply to opensuse.lietuviu.kalba from comment #10)
> I CAN reproduce with VCL: kde4.
> 
> I can NOT reproduce with  VCL: gtk3.

Do you reproduce it with SAL_USE_VCLPLUGIN=gtk (gtk2) as the OP ?
Comment 15 Xisco Faulí 2019-06-11 10:25:42 UTC
(In reply to Xisco Faulí from comment #14)
> (In reply to opensuse.lietuviu.kalba from comment #10)
> > I CAN reproduce with VCL: kde4.
> > 
> > I can NOT reproduce with  VCL: gtk3.
> 
> Do you reproduce it with SAL_USE_VCLPLUGIN=gtk (gtk2) as the OP ?

Setting to NEEDINFO